Bug 63597 - stardict shouldn't modify X11 fontpath
Summary: stardict shouldn't modify X11 fontpath
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: stardict   
(Show other bugs)
Version: beta3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-04-16 03:31 UTC by Jens Petersen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-03 08:19:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2002-04-16 03:31:03 UTC
Description of Problem:
stardict appends /usr/lib/stardict/hzfont to fontpath.

Version-Release number of selected component (if applicable):
stardict-1.31-7

How Reproducible:
every time

Steps to Reproduce:
1. stardict.sh ; xset q 
or
2. TRANSHOME=/usr/lib/stardict /usr/lib/stardict/stardict; xset q

Actual Results:
Font Path:
  unix/:7100,/usr/lib/stardict/hzfont


Expected Results:
No change to fontpath

Comment 1 Leon Ho 2002-07-03 08:18:57 UTC
It is fixed in RAWHIDE - version 1.31-14. Please check it if you got time. 

The latest version also fixes the default paths so you don't have to set
TRANSHOME. Binary is in /usr/bin/stardict now.

Comment 2 Jens Petersen 2002-07-08 10:06:24 UTC
Looks fine to me now.  Thanks.

Comment 3 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.